BrokerClusterInfo (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: BrokerClusterInfo

Package com.sun.messaging.jms.management.server

# Class BrokerClusterInfo

java.lang.Object
com.sun.messaging.jms.management.server.BrokerClusterInfo

All Implemented Interfaces:
  `Serializable`

public class BrokerClusterInfo extends Object implements Serializable
This class contains constants/names for fields in the CompositeData that is returned by the operations of the Cluster Monitor and Cluster Config MBeans.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADDRESS`
  Address of broker in the form of host:port
  `static final String`
  `ID`
  The ID of the broker.
  `static final String`
  `NUM_MSGS`
  Number of messages stored in this broker's message store.
  `static final String`
  `STATE`
  State of broker
  `static final String`
  `STATE_LABEL`
  State label of broker.
  `static final String`
  `STATUS_TIMESTAMP`
  Status Timestamp.
  `static final String`
  `TAKEOVER_BROKER_ID`
  ID of the broker that has taken over this broker's store.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ADDRESS

    public static final String ADDRESS
    Address of broker in the form of host:port
    See Also:
      - Constant Field Values

  - ### ID

    public static final String ID
    The ID of the broker.
    See Also:
      - Constant Field Values

  - ### STATE

    public static final String STATE
    State of broker
    See Also:
      - Constant Field Values

  - ### STATE_LABEL

    public static final String STATE_LABEL
    State label of broker. This is useful when viewe in a JMX browser like jconsole.
    See Also:
      - Constant Field Values

  - ### NUM_MSGS

    public static final String NUM_MSGS
    Number of messages stored in this broker's message store.
    See Also:
      - Constant Field Values

  - ### TAKEOVER_BROKER_ID

    public static final String TAKEOVER_BROKER_ID
    ID of the broker that has taken over this broker's store.
    See Also:
      - Constant Field Values

  - ### STATUS_TIMESTAMP

    public static final String STATUS_TIMESTAMP
    Status Timestamp.
    See Also:
      - Constant Field Values